Bug 34589 - [pineview bisected]many cases regression
Summary: [pineview bisected]many cases regression
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i915 (show other bugs)
Version: git
Hardware: All Linux (All)
: high major
Assignee: Chris Wilson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-22 21:55 UTC by fangxun
Modified: 2011-02-24 19:21 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description fangxun 2011-02-22 21:55:36 UTC
System Environment:
--------------------------
Arch:           i386
Platform:       pineview
Libdrm:         (master)2.4.23-14-ga697fb6acad7992c3d23bb6a663663694782eb7b
Mesa:           (master)94ccc31ba4f64ac480137fd90f1ded44d2072f6e
Xserver:       (master)xorg-server-1.9.99.902-3-g93a73993708b1345c86ec3ec06b02ed236595673
Xf86_video_intel:     (master)2.14.0-29-g9599fde65a0d8b7e7c85199346f7b620bdd8388d
Kernel: (drm-intel-next)f4166442e7533ca2668d639d939b1bbdb8e6b423


Bug detailed description:
-------------------------
Bisect find the same commit caused following cases regression on pineview:
piglit cases:
bugs/fdo23670-drawpix_stencil, general/scissor-stencil-clear, general/stencil-drawpixels, glean/maskedClear, glean/paths, glean/stencil2

oglc cases:
spcorner, spfunc, drawpix, drawbuffer, separatestencil-neu(Basics.BothFacesCullingOffExtAPI), separatestencil-neu(Basics.SingleFaceCullingOffExtAPI), (2.0)separatestencil-neu(Basics.FrontFaceCullingOffExtAPI)...

ogles2conform cases: 
GL2FixedTests/stencil_plane_clear/stencil_plane_clear.test, GL2FixedTests/stencil_plane_corners_stencil_plane_corners.test,  GL2FixedTests/stencil_plane_function/stencil_plane_function.test,
GL2FixedTests/stencil_plane_operation/stencil_plane_operation.test

Bisect shows 298ebb78de8a6b6edf0aa0fe8d784d00bbc2930e is the first bad commit. commit 298ebb78de8a6b6edf0aa0fe8d784d00bbc2930e
Author:     Chris Wilson <chris@chris-wilson.co.uk>
AuthorDate: Fri Nov 26 11:18:50 2010 +0000
Commit:     Chris Wilson <chris@chris-wilson.co.uk>
CommitDate: Mon Feb 21 13:04:46 2011 +0000

    i915: Suppress emission of redundant stencil updates

    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
Comment 1 Chris Wilson 2011-02-23 01:04:53 UTC
Does reverting 298ebb78de8a6b6edf0aa0fe8d784d00bbc2930e simply fix the test cases?
Comment 2 fangxun 2011-02-23 03:18:30 UTC
Yes, reverting 298ebb78de8a6b6edf0aa0fe8d784d00bbc2930e fix this regression.
Comment 3 Chris Wilson 2011-02-23 14:11:27 UTC
commit 19ac5fa50dbb2f80eb0d47866b1474e3bd7a84dc
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 23 22:09:12 2011 +0000

    i915: And remember assign the new value to the state reg...
    
    Fixes regression from 298ebb78de8a6b6edf0aa0fe8d784d00bbc2930e.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=34589
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
Comment 4 fangxun 2011-02-24 19:21:29 UTC
Verified with mesa(master) commit 135ccb2daecb7792dfb17e66ab0acb79a97f78c8.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.